{% extends 'NRMPariwarAdminBundle::layout.html.twig' %}

  {% block content %}

<div class="box box-default">
  <div class="box-header with-border">
      <h1 class="box-title">Magazine| List</h1>
      <div class="pull-right">
          <span class="label label-default">Results: &nbsp;{{ magazines.getTotalItemCount }}</span>
      </div>
  </div>
  <div class="box-body">
      <table class="table table-responsive ">
          <thead>
          <tr>
              <th>SN</th>
              <th>Title</th>
              <th>alias</th>
              <th>Preview Image</th>
              <th>Published</th>
              <th>Created At</th>
              <th>Updated At</th>
              <th>Action</th>
          </tr>
          </thead>
          <tbody>
          {%  for magazine in magazines %}
              <tr {% if loop.index is odd %}class="color"{% endif %}>
                  <td>{{ loop.index }}</td>
                  <td>{{ magazine.title }}</td>
                  <td>{{ magazine.alias }}</td>
                  <td><img  width= "100" height="100" src ="http://localhost:7080/uploads/media/{{ magazine.previewImage}}"></td>
                  <td>
                      {{ status_info(
                      magazine.published,
                      true,
                      "NRMPariwar\\MagazineBundle\\Entity\\Magazine",
                      magazine.id,
                      'published'
                      )|raw }}
                  </td>
                  <td>{{ magazine.created|date('d/M/Y') }}</td>
                  <td>{{ magazine.updated|date('d/M/Y') }}</td>
                  <td><a href ="{{ url('nrm_pariwar_magazine_edit',{'id':magazine.id}) }}">Edit</a>&nbsp;|&nbsp;
                      <a href ="{{ url('nrm_pariwar_magazine_delete',{'id':magazine.id})}}">Delete</a>
                  </td>
              </tr>
          {%  endfor %}
          </tbody>
      </table>
      <div class="navigation">
          {{ knp_pagination_render(magazines) }}
      </div>
  </div>
</div>


<div class="clearfix"></div>

  {% endblock content %}
  {% block scripts %}
      <script src="{{ asset('bundles/nrmpariwaradmin/bootbox/bootbox.min.js') }}"></script>
      <script src="{{ asset('bundles/nrmpariwaradmin/magazine/magazine.js') }}"></script>
      <script src="{{ asset('bundles/nrmpariwaradmin/magazine/core.js') }}"></script>
      <script src="{{ asset('bundles/nrmpariwaradmin/magazine/template.js') }}"></script>
      <script src="{{ asset('bundles/nrmpariwaradmin/magazine/templateN.js') }}"></script>
      <script src="{{ asset('bundles/nrmpariwaradmin/magazine/exception.js') }}"></script>
      <script src="{{ asset('bundles/nrmpariwaradmin/magazine/http.js') }}"></script>
      <script>
          $('[data-toggle="myAjax"]').click(function(){

              var self = $(this),
                  entity = self.data('entity'),
                  property = self.data('property'),
                  id = self.data('id'),
                  status = self.data('status');

              if( entity == '' || entity == 'undefined' || property == '' || property == 'undefined' || id == '' || id == 'undefined' )
              {
                  return false;
              }

              bootbox.confirm('Are you sure change?', function(result){
                  if( result == true )
                  {
                      var http = magazine.core.http;

                      var template = magazine.template;

                      template.loading(self, null, true);

                      var data = {entity:entity, property:property, id:id, status:status};

                      var url = "{{ url('nrm_pariwar_magazine_ajax_toggle_published') }}";

                      http.post(url, data)
                          .done(function(response){
                              template.toggleStatus(self, response);

                          })
                          .error(function(response){
                              template.loading(self, response, false);
                          })
                          .always(function(response){
                              template.loading(self, response, false);
                          });
                  }
              });

          });
      </script>
  {% endblock scripts %}

